petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmCollectViewDestroy

Resets the DMSwarm to the size prior to calling DMSwarmCollectViewCreate()

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmCollectViewDestroy(DM dm)

Collective on dm

### Input parameters

dm -the DMSwarm

### Notes

Users should call DMSwarmCollectViewCreate() before this function is called.

### See Also

DMSwarmCollectViewCreate(), DMSwarmSetCollectType()

### Level

advanced

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages